import * as React from 'react'
import { BrowserRouter, Switch, Route } from 'react-router-dom'
import AdminLayout from '../layout/index'
import Login2 from '../views/User/Login'
import { routes, staticRoutes } from  '../router/config'

const router: React.FC = () => {
  return (
    <BrowserRouter>
      <Switch>
        <Route path='/admin' component={AdminLayout} />
        {
          staticRoutes.map(route => {
            return (
              <Route path={route.path} component={route.component} />
            )
          })
        }
      </Switch>
    </BrowserRouter>
  )
}

export default router